# MatSNESMFWPSetComputeNormA

Sets whether it computes the ||a|| used by the WP PETSc routine for computing h. With GMRES since the ||a|| is always one, you can save communication by setting this to false.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFWPSetComputeNormA(Mat A,PetscTruth flag)

### Input Parameters

| A | - the matrix created with MatCreateSNESMF()
| flag | - PETSC_TRUE causes it to compute ||a||, PETSC_FALSE assumes it is 1.

### Options Database Key

-snes_mf_compute_norma <true,false> -can be set false for GMRES to speed up code

### Notes

See the manual page for MatCreateSNESMF() for a complete description of the algorithm used to compute h.

### See Also

MatSNESMFSetFunctionError(), MatCreateSNESMF()

Level:advanced
Location:src/snes/mf/wp.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages